Skip to main content
Use this endpoint to accept a dispute charge, indicating that you do not wish to contest the dispute, acknowledging it as lost.
  • The dispute status will change from open to lost.
  • Accepting a dispute is irreversible.

Request

Curl

Response

Success

Parameters

id mandatory : string The unique identifier of the dispute.

Parameters

id : string The unique identifier of the dispute generated by Razorpay. For example, disp_AHfqOvkldwsbqt. entity : string Indicates the type of entity. In this case, it is dispute. payment_id : string The unique identifier of the payment against which the dispute was created. For example, pay_EsyWjHrfzb59eR. amount : integer Amount, in currency subunits, for which the dispute was created. currency : string 3-letter ISO currency code associated with the amount. Check the list of supported currencies. amount_deducted : integer The amount, in currency subunits, deducted from your Razorpay current balance when the dispute is lost. This amount will be 0 unless the status of dispute is updated to lost. Know about the different states of disputes. reason_code : string Code associated with the reason for the dispute. reason_description : string A brief description of the reason for dispute. respond_by : integer Unix timestamp by which a response should be sent to the customer. status : string The status of the dispute. Possible statuses are:
  • open: Indicates that the dispute has been created.
  • under_review: Indicates that the issuing bank is reviewing the dispute.
  • won: Indicates that the bank has accepted the remedial documents, and you have won the chargeback.
  • lost: Indicates that the bank did not accept the remedial documents, and you have lost the chargeback.
  • closed: Indicates that the fraudulent transaction was closed after you provided either the transaction details or made a refund to the customer.
phase : string Phase associated with the dispute. Possible phases are:
  • fraud: A dispute raised by the bank when it suspects a transaction to be fraudulent based on the risk analysis.
  • retrieval: A request initiated by the customer with their issuer bank for additional information about a transaction.
  • chargeback: A refund claim initiated by the customers with their issuer banks. In such cases, the bank starts an official inquiry.
  • pre_arbitration: A chargeback that you have won is challenged by the customer for the second time.
  • arbitration: A chargeback that you have won is challenged for a third time by the customer and the card networks directly getting involved.
created_at : integer Unix timestamp when the dispute was created. evidence : object Provides details of the evidence submitted/saved for contesting a dispute. Use the Documents API to securely share documents with Razorpay. amount : integer The contested amount in currency subunits, for which evidence is provided. The value can vary from 0 to the dispute amount. The default value is the dispute amount. summary : string The explanation provided by you for contesting the dispute. It can have a maximum length of 1000 characters. shipping_proof : list List of document ids which serves as proof that the product was shipped to the customer at their provided address. It should show their complete shipping address, if possible. billing_proof : list List of document ids which serves as proof of order confirmation, such as a receipt. cancellation_proof : list List of document ids that serves as proof that this product/service was cancelled. customer_communication : list List of document ids listing any written/email communication from the customer confirming that the customer received the product/service or is satisfied with the product/service. proof_of_service : list List of document ids showing proof of service provided to the customer. explanation_letter : list (List of document ids) Any letter(s) from you specifying information pertinent to the dispute/payment that needs to be considered for processing the dispute. refund_confirmation : list List of document ids showing proof that the refund had been provided to the customer. access_activity_log : list List of document ids of any server or activity logs which prove that the customer accessed or downloaded the purchased digital product. refund_cancellation_policy : list List of document ids listing your refund and/or cancellation policy, as shown to the customer. term_and_conditions : list List of document ids listing your sales terms and conditions, as shown to the customer. others : list Specifies the evidence documents to be uploaded as a part of contesting a dispute. It is a list of tuples consisting of the following: type : string Describes the custom type of evidence document(s) provided. document_ids : list List of document ids corresponding to the customer evidence type.
Example
submitted_at : integer Unix timestamp when the dispute was last submitted by you (for review) to Razorpay. The default value is null.

Errors

The id provided does not exist.
  • code: 400
  • description: - A wrong prefix is used.
  • The dispute id does not exist or does not belong to the requestor.
  • solution: - The dispute id must start with disp_.
  • Use a valid dispute id that belongs to the requestor.
_id is not a valid id.
  • code: 400
  • description: - The id is not 14 characters long.
  • The id is not alphanumeric.
  • solution: Use a valid dispute id.
invalid_proof_type is/are not required and should not be sent.
  • code: 400
  • description: Incorrect parameters are passed in the request body.
  • solution: No parameter is required in the request body.
Action not allowed as deadline to respond has elapsed.
  • code: 400
  • description: The deadline to respond for a dispute has elapsed.
  • solution: You can only respond to a dispute within the deadline.
Action not allowed when dispute is in lost status.
  • code: 400
  • description: This error occurs when you try to perform an action on a dispute with lost status.
  • solution: You cannot perform any action on a dispute with lost status.
Action not allowed when dispute is in won status.
  • code: 400
  • description: This error occurs when you try to perform an action on a dispute with won status.
  • solution: You cannot perform any action on a dispute with won status.
Action not allowed when dispute is in closed status.
  • code: 400
  • description: This error occurs when you try to perform an action on a closed dispute.
  • solution: You cannot perform any action on a closed dispute.
Action not allowed when dispute is in under_review status.
  • code: 400
  • description: This error occurs when you try to perform an action on a dispute under review.
  • solution: You cannot perform any action on a dispute under review.